﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.BusinessLogicContracts
{
    public interface IMessageLogic
    {
        List<MessageViewModel>? ReadList(MessageSearchModel? model);
        MessageViewModel? ReadElement(MessageSearchModel model);
        bool Create(MessageBindingModel model);
        bool Update(MessageBindingModel model);
        bool Delete(MessageBindingModel model);
    }
}
